Project

General

Profile

Bug #8324

bxe cards require promisc for OSPF

Added by Jason Hurlbert over 2 years ago. Updated about 2 months ago.

Status:
New
Priority:
Normal
Assignee:
Category:
Hardware / Drivers
Target version:
-
Start date:
02/08/2018
Due date:
% Done:

0%

Estimated time:
Affected Version:
2.4
Affected Architecture:

Description

Since at least 2.4.1, when using either Quagga or FRR, bxe cards require promisc to be enabled in order to receive OSPF multicast packets.

This problem was not present in 2.3.3.

History

#1 Updated by Jim Thompson over 2 years ago

bxe seems to want IFF_ALLMULTI set, and something isn't setting it.

https://github.com/freebsd/freebsd/blob/master/sys/dev/bxe/bxe.c#L12159

#2 Updated by Jim Thompson over 2 years ago

  • Assignee set to Luiz Souza

#3 Updated by Jim Thompson over 2 years ago

  • Category set to Interfaces
  • Affected Version set to 2.4

#4 Updated by Jim Pingle 11 months ago

  • Category changed from Interfaces to Hardware / Drivers

Also available in: Atom PDF